Page 1 of 3 123 LastLast
Results 1 to 10 of 24

Thread: The package must be reinstallled, no files can be found

  1. #1
    Join Date
    Nov 2013
    Beans
    18

    The package must be reinstallled, no files can be found

    I tried to install Bleachbit for ubuntu 16.04, however the system could not install it and asks me to reinstall it saying its file cannot be found. As a result, synaptic and apt-get upgrade are blocked. I don't know how to reinstall it since the package administrator refuses to do so. How can I fix up this mess?
    The error is: Unknown error Class systemerror. The package bleachbit needs to be reinstalled, but I can't find an archive for it
    Thank You very Much

  2. #2
    Join Date
    Aug 2011
    Location
    51.8° N 5.8° E
    Beans
    5,773
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: The package must be reinstallled, no files can be found

    Are you sure you want to fix this? 16.04 only has 2 months of support left, so in 2 months you have to move to a more recent release. That could be 18.04, but you can also jump straight to 20.04. If you make a fresh install of a new release of Ubuntu, there's no point in fixing the old release.

    If you really want to fix this, bleachbit is supposed to be in the universe repository. Make sure it's enabled.

    I've never used bleachbit myself. I don't need it and it appears it makes it easy to remove too much.

  3. #3
    Join Date
    Nov 2013
    Beans
    18

    Re: The package must be reinstallled, no files can be found

    I know I have to move to another release but I would like to fix this issue. Universe is enabled and I still have this issue. What can I do? Thank You

  4. #4
    Join Date
    May 2013
    Location
    Galiza
    Beans
    3,949
    Distro
    Ubuntu

    Re: The package must be reinstallled, no files can be found

    There's really no point in troubleshooting an about to be obsolete release but you should keep it fully updated until it expires anyway:
    Code:
    sudo apt update
    sudo apt full-upgrade
    Post back any errors in full.

  5. #5
    Join Date
    Nov 2013
    Beans
    18

    Re: The package must be reinstallled, no files can be found

    1. sudo apt update
    2. OK:1 http://ppa.launchpad.net/alexlarsson/flatpak/ubuntu xenial InRelease
    3. Holen:2 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
    4. OK:3 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu xenial InRelease
    5. OK:4 http://ppa.launchpad.net/videolan/stable-daily/ubuntu xenial InRelease
    6. OK:5 http://ppa.launchpad.net/webupd8team/tor-browser/ubuntu xenial InRelease
    7. OK:6 http://de.archive.ubuntu.com/ubuntu xenial InRelease
    8. OK:7 http://de.archive.ubuntu.com/ubuntu xenial-updates InRelease
    9. Es wurden 109 kB in 15 s geholt (7.255 B/s).
    10. Paketlisten werden gelesen... Fertig (Package lists are being read... ready)
    11. Abhängigkeitsbaum wird aufgebaut. (Dependencies are being built)
    12. Statusinformationen werden eingelesen.... Fertig (Status information is being read...ready)
    13. Alle Pakete sind aktuell. ( All packages are updated)
    14. euclides@euclides-HP-350-G1:~$ sudo apt full-upgrade
    15. Paketlisten werden gelesen... Fertig (Package list is being read..ready)
    16. Abhängigkeitsbaum wird aufgebaut. (Dependencies are being built)
    17. Statusinformationen werden eingelesen.... Fertig (Status information is being read...ready)
    18. E: Das Paket bleachbit muss neu installiert werden, es kann jedoch kein Archiv dafür gefunden werden. (The package bleachbit must be reinstalled, but I can't find an archive for it)

  6. #6
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    11,944
    Distro
    Ubuntu

    Re: The package must be reinstallled, no files can be found

    What does
    Code:
    apt-cache policy bleachbit
    show?
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  7. #7
    Join Date
    Nov 2013
    Beans
    18

    Re: The package must be reinstallled, no files can be found

    HTML Code:
    apt-cache policy bleachbit
    bleachbit:
      Installiert:           4.2.0-0
      Installationskandidat: 4.2.0-0
      Versionstabelle:
     *** 4.2.0-0 100
            100 /var/lib/dpkg/status
         1.10-1 500
            500 http://de.archive.ubuntu.com/ubuntu xenial/universe i386 Packages

  8. #8
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    11,944
    Distro
    Ubuntu

    Re: The package must be reinstallled, no files can be found

    What does this do?
    Code:
    sudo apt install --reinstall bleachbit
    Last edited by deadflowr; February 28th, 2021 at 06:34 PM. Reason: spacing helps
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  9. #9
    Join Date
    Nov 2013
    Beans
    18

    Re: The package must be reinstallled, no files can be found

    HTML Code:
    sudo apt install--reinstall bleachbit
    E: Ungültige Operation install--reinstall  (INVALID OPERATION)

  10. #10
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    11,944
    Distro
    Ubuntu

    Re: The package must be reinstallled, no files can be found

    Need spacing between the install and --reinstall.
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

Page 1 of 3 123 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •